﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Diagrams.Core;

namespace WPF_MVVM_Diagram_Application4
{
    public class MainViewModel
    {
        private readonly GraphSource source;

        public MainViewModel()
        {
            this.source = new GraphSource();

            var shape1 = new Node() { Content = "Shape 1", Position = new Point(200, 160) };
            var container = new ContainerNode() { Content = "Container shape", Position = new Point(540, 150) };         

            this.source.AddNode(shape1);
            this.source.AddNode(container);        
        }

        public GraphSource Source
        {
            get
            {
                return this.source;
            }
        }
    }
}
